MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027196Community[OCCT] OCCT:Configurationpublic2016-02-22 10:152016-04-20 15:49
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027196: CMake - avoid setting option -EHa for compilers other than MSVC
DescriptionAs reported in http://dev.opencascade.org/index.php?q=node/1148, [^] CMake scripts for OCCT set option -EHa on Windows (if WIN32 is defined) regardless of the used compiler. This option should be used only for MSVC compiler.
Steps To Reproducetry building under MinGW
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0027197closedabv Open CASCADE Configuration - fix compilation issues when using mingw 

-  Notes
(0051057)
git (administrator)
2016-02-22 11:03

Branch CR27196 has been created by abv.

SHA-1: 8a7e2bb72f1c4014470ae5521ac59c9671ca51ea


Detailed log of new commits:

Author: abv
Date: Mon Feb 22 11:03:27 2016 +0300

    0027196: CMake - avoid setting option -EHa for compilers other than MSVC
    
    Option -EHa is now added only if MSVC is defined.
    
    Descriptions of option -fp:precise in CMake and method OSD::SetSignal() in header file are updated.
(0051058)
abv (manager)
2016-02-22 11:19

The fix pushed to CR27196, please review
(0051059)
ibs (developer)
2016-02-22 12:28

the patch has been reviewed without remarks
(0052785)
git (administrator)
2016-04-17 12:57

Branch CR27196 has been deleted by kgv.

SHA-1: 8a7e2bb72f1c4014470ae5521ac59c9671ca51ea

- Related Changesets
occt: master cb728702
Timestamp: 2016-02-22 08:03:27
Author: abv
Committer: bugmaster
Details ] Diff ]
0027196: CMake - avoid setting option -EHa for compilers other than MSVC

Option -EHa is now added only if MSVC is defined.

Descriptions of option -fp:precise in CMake and method OSD::SetSignal() in header file are updated.
mod - adm/cmake/occt_defs_flags.cmake Diff ] File ]
mod - src/OSD/OSD.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-22 10:15 abv New Issue
2016-02-22 10:15 abv Assigned To => bugmaster
2016-02-22 11:03 git Note Added: 0051057
2016-02-22 11:19 abv Note Added: 0051058
2016-02-22 11:19 abv Assigned To bugmaster => ibs
2016-02-22 11:19 abv Status new => resolved
2016-02-22 11:19 abv Steps to Reproduce Updated View Revisions
2016-02-22 12:28 ibs Note Added: 0051059
2016-02-22 12:28 ibs Assigned To ibs => bugmaster
2016-02-22 12:28 ibs Status resolved => reviewed
2016-02-22 22:09 kgv Relationship added related to 0027197
2016-03-03 12:38 bugmaster Status reviewed => tested
2016-03-04 16:52 bugmaster Changeset attached => occt master cb728702
2016-03-04 16:52 bugmaster Status tested => verified
2016-03-04 16:52 bugmaster Resolution open => fixed
2016-04-17 12:57 git Note Added: 0052785
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:49 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker